Bug 120133 - Cannot register system with RHN
Cannot register system with RHN
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rhn_register (Show other bugs)
3.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-06 06:45 EDT by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-18 11:58:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback output to terminal window while the program was running (981 bytes, text/plain)
2004-04-06 06:48 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2004-04-06 06:45:01 EDT
Description of problem: 

When attempting to register my freshly installed RHEL ES V3 update 1
system, rhn-register hangs with unknown hardware displayed on the screen. 

There is traceback output


My internet connection uses a proxy. This is not a problem with other
systems.

N.B. This problem is nearly identical to that described by customers
in bug #113599 for RHEL ES 2.1


Version-Release number of selected component (if applicable):

RHEL ES 3 update 1
up2date-4.2.5-1


How reproducible:

100%


Steps to Reproduce:
1. run up2date --register
2.
3.
  
Actual results:

As described

Expected results:

The system should register

Additional info:
Comment 1 Need Real Name 2004-04-06 06:48:11 EDT
Created attachment 99134 [details]
traceback output to terminal window while the program was running
Comment 2 Suzanne Hillman 2004-04-12 17:38:26 EDT
Please list the hardware in the system in question, so as to better be
able to figure out what might be going on.
Comment 3 Need Real Name 2004-04-14 11:07:19 EDT
PC Model: NEC Powermate

CPU:      Intel Celeron 1800 MHz
Cache:    128 Kb
Memory:   480 Mb DDR266
BIOS:     8SIML V3.0B
VGA Bios: V1.11.19

Primary Master:    ST360014A 60 Gbytes HD 
Secondary Master:  ST320014A 20 Mbytes HD
Secondary Slave:   HL-DT-ST CD-ROM GC

SCSI Controller:   Adaptec 29160  BIOS 3.10.00
SCSI #4:           Tanberg DLT8000 tape drive


System is configured entirely on device HDA:
/boot:       /dev/hda1       104 Mbyte (approx)
/            /dev/hda2        56 Gbyte (approx)
swap         /dev/hda3       980 Mbyte (approx)

kernel:      2.4.21-9.EL

Updated packages:   up2date-4.2.5-1.i386.rpm
                    up2date-gnome.4.2.5-1.i386.rpm
Comment 4 Suzanne Hillman 2004-04-14 15:22:01 EDT
Do the other systems on which you don't have this problem have the
same kind of hardware? I'm hoping to track down which component is
causing the problem.
Comment 5 Need Real Name 2004-04-15 05:47:28 EDT
The other system which is running RHEL ES 3 is similar, but with a
slower 400MHz celeron processor and a SCSI hard drive. I can't think
of anything particularly unusual with either machine.

The machine with problems does have a USB CD writer, but this is not
connected at the moment.

Are there any more detailed debug outputs or logs which I could try to
get for you?

I have a third system that I am about to install RHEL 3 on. I'll let
you know what happens with it.

Cheers,

Pat Cree
Comment 6 Suzanne Hillman 2004-04-19 14:41:55 EDT
Well, part of what concerns me is that I am unable to locate the
hardware you are using on our certified hardware list, at
http://hardware.redhat.com/hcl/.

As for other logs, I am not sure. I'm simply trying to get more
information for the developer, and am not the developer myself.

Was the USB CD writer attached during the install, or has it not been
attached at all during any of this?
Comment 7 Nick Strugnell 2004-05-18 04:17:12 EDT
Make sure that the machine can resolve its own IP address and hostname
(both forward and reverse.)
Comment 8 Need Real Name 2004-05-18 11:58:20 EDT
I was finally able to resolve this problem by uninstalling the up2date
4.2.5-1 (and up2date-gnome, rhn-applet and firstboot) and reinstalling
up2date 4.0.1.1 (and the other packages) from the distribution CD.

Configure and register the system from the command line and all should
be well.

Once the system is registered the packages can be updated without any
problems arising.

Note You need to log in before you can comment on or make changes to this bug.